# List the supported file formats

`GET /v1/convert/file/type`

Public endpoint, no sign-in needed. Lists every file format and which formats each one can be converted to.

## Request body

This operation takes no request body.

## Code samples

Replace YOUR_TOKEN with your access token.

### curl

```shell
curl -X GET 'https://api.skillfulsardine.com/v1/convert/file/type' \
  -H 'Authorization: Bearer YOUR_TOKEN'
```

### PowerShell

```powershell
$response = Invoke-RestMethod -Method Get -Uri 'https://api.skillfulsardine.com/v1/convert/file/type' `
  -Headers @{ Authorization = 'Bearer YOUR_TOKEN' }
$response | ConvertTo-Json -Depth 10
```

### Python

```python
import requests

response = requests.get(
    "https://api.skillfulsardine.com/v1/convert/file/type",
    headers={"Authorization": "Bearer YOUR_TOKEN"},
    timeout=30,
)
print(response.json())
```

### JavaScript

```javascript
const response = await fetch("https://api.skillfulsardine.com/v1/convert/file/type", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
  },
});
const result = await response.json();
console.log(result);
```

### Node

```javascript
// Node 18 or later. Save as call.mjs and run: API_TOKEN=... node call.mjs
const token = process.env.API_TOKEN;

const response = await fetch("https://api.skillfulsardine.com/v1/convert/file/type", {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${token}`,
  },
});
const result = await response.json();
console.log(result);
```

### Rust

```rust
// Cargo.toml: reqwest = { version = "0.12", features = ["blocking", "json"] }, serde_json = "1"
fn main() -> Result<(), Box<dyn std::error::Error>> {
    let response = reqwest::blocking::Client::new()
        .get("https://api.skillfulsardine.com/v1/convert/file/type")
        .bearer_auth("YOUR_TOKEN")
        .send()?;
    println!("{}", response.text()?);
    Ok(())
}
```

### Swift

```swift
import Foundation

var request = URLRequest(url: URL(string: "https://api.skillfulsardine.com/v1/convert/file/type")!)
request.httpMethod = "GET"
request.setValue("Bearer YOUR_TOKEN", forHTTPHeaderField: "Authorization")

let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
```

## Response

The fields inside `data` of a successful response.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| formats | array of string | yes | Every supported format, ordered |
| conversions | object | yes | For each format, the formats it converts to |

## Example response

A real answer from the operation, as JSON. The fields in the table above are inside `data`.

```json
{
  "data": {
    "formats": [
      "json",
      "xml",
      "csv",
      "yaml",
      "docx",
      "xlsx",
      "pdf",
      "iso20022",
      "mt940",
      "ofx",
      "txt",
      "html",
      "markdown"
    ],
    "conversions": {
      "json": [
        "xml",
        "csv",
        "yaml",
        "html",
        "xlsx"
      ],
      "xml": [
        "json",
        "csv",
        "yaml",
        "html"
      ],
      "csv": [
        "json",
        "xml",
        "yaml",
        "html",
        "xlsx"
      ],
      "yaml": [
        "json",
        "xml",
        "csv",
        "html"
      ],
      "docx": [
        "pdf",
        "txt",
        "html",
        "markdown"
      ],
      "xlsx": [
        "csv",
        "json"
      ],
      "pdf": [
        "txt",
        "html",
        "markdown"
      ],
      "txt": [
        "docx",
        "pdf",
        "markdown"
      ],
      "html": [
        "docx",
        "markdown",
        "pdf"
      ],
      "markdown": [
        "html",
        "docx",
        "txt",
        "pdf"
      ]
    }
  },
  "errors": null,
  "meta": {
    "request_id": "25241052-eab0-4746-ba9e-9cf78d7f5de4",
    "timestamp": "2026-10-27T07:19:42.003638Z",
    "version": "2026-03-26"
  },
  "pagination": null
}
```

## Responses

| Status | When it happens |
| --- | --- |
| 200 | Successful Response |

---
Source: https://skillfulsardine.com/developers/api/list-file-formats/